%define	version	0.9
%define release	%mkrel 3

Summary:	GUI search/replace tool supporting Perl regular expression
Name:		regexxer
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Text tools
URL:		http://regexxer.sourceforge.net/
Source:		http://heanet.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
# (Abel) utf-8 support only enabled after 4.3-4mdk
BuildRequires:	pcre-devel >= 4.3-4mdk
BuildRequires:	gtkmm2.4-devel
BuildRequires:	libglademm2.4-devel
BuildRequires:	gconfmm2.6-devel >= 2.6.1
BuildRequires:	ImageMagick
Requires(post):		GConf2 >= 2.3.3
Requires(preun):	GConf2 >= 2.3.3

%description
regexxer is a nifty search/replace tool for the desktop user.  It features
recursive search through directory trees and Perl-style regular expressions
(using libpcre).

%prep
%setup -q

%build
%configure2_5x --disable-schemas-install
%make

%install
rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

#icons
mkdir -p %{buildroot}%{_iconsdir} \
         %{buildroot}%{_miconsdir}
install -D -m 644       ui/regexxer.png %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 32x32 ui/regexxer.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 ui/regexxer.png %{buildroot}%{_miconsdir}/%{name}.png

# remove seemingly useless english translation
rm -rf %{buildroot}%{_datadir}/locale/en/

%find_lang %{name}

%if %mdkversion < 200900
%post
%update_menus
%post_install_gconf_schemas regexxer
%endif

%preun
%preun_uninstall_gconf_schemas "$1"

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/*
%{_datadir}/%{name}

%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9-3mdv2009.0
+ Revision: 242539
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - use %%post_install_gconf_schemas/%%preun_uninstall_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Funda Wang <fundawang@mandriva.org>
    - Requires(pre) rather than prereq.

* Tue May 15 2007 Funda Wang <fundawang@mandriva.org> 0.9-1mdv2008.0
+ Revision: 26817
- kill debian menu.
  fix file list.
- New upstream version
- Import regexxer



* Tue Jun 29 2004 Abel Cheung <deaddog@deaddog.org> 0.8-0.20040629.1mdk
- CVS snapshot 2004-06-29, fix 0.7 to work with g++ 3.4 is too much work

* Mon May 17 2004 Abel Cheung <deaddog@deaddog.org> 0.7-1mdk
- New release

* Fri Feb 20 2004 David Baudens <baudens@mandrakesoft.com> 0.6-2mdk
- Fix menu

* Fri Dec 12 2003 Abel Cheung <deaddog@deaddog.org> 0.6-1mdk
- New release

* Wed Nov 12 2003 Abel Cheung <deaddog@deaddog.org> 0.5-1mdk
- First Mandrake package
